<?php
/**
 *  Christmas Holiday: Block Patterns
 *
 * @package  Christmas Holiday
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'christmas-holiday',
		array( 'label' => __( 'Christmas Holiday', 'christmas-holiday' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'christmas-holiday/banner-section',
		array(
			'title'      => __( 'Banner Section', 'christmas-holiday' ),
			'categories' => array( 'christmas-holiday' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\",\"id\":202,\"dimRatio\":0,\"align\":\"full\",\"className\":\"free-cristmas-holiday sliderbox\"} -->\n<div class=\"wp-block-cover alignfull free-cristmas-holiday sliderbox\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-202\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"className\":\" ps-lg-5 mx-lg-5 \"} -->\n<div class=\"wp-block-columns ps-lg-5 mx-lg-5\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"66.66%\",\"className\":\"christmas-holiday-banner-section1 px-md-5\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center christmas-holiday-banner-section1 px-md-5\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"35px\"}},\"textColor\":\"white\"} -->\n<h1 class=\"has-white-color has-text-color\" style=\"font-size:35px\">Celebrate christmas in style</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500s</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"white\",\"style\":{\"color\":{\"text\":\"#f82938\"},\"border\":{\"radius\":\"18px\"},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:16px\"><a class=\"wp-block-button__link has-white-background-color has-text-color has-background wp-element-button\" style=\"border-radius:18px;color:#f82938\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'christmas-holiday/services-section',
		array(
			'title'      => __( 'Services Section', 'christmas-holiday' ),
			'categories' => array( 'christmas-holiday' ),
			'content'    => "<!-- wp:columns {\"align\":\"wide\",\"className\":\"free-cristmas-holiday pro-sec my-5 mx-3\"} -->\n<div class=\"wp-block-columns alignwide free-cristmas-holiday pro-sec my-5 mx-3\"><!-- wp:column {\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.33%\"><!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/product-img.png\",\"id\":219,\"dimRatio\":50} -->\n<div class=\"wp-block-cover\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-219\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/product-img.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"fontSize\":\"28px\"}}} -->\n<h3 class=\"has-text-align-center\" style=\"font-size:28px;font-style:normal;font-weight:400\">Unique Gift for Christmas</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-align-center\" style=\"font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting </p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:columns {\"className\":\"free-cristmas-holiday productbox\"} -->\n<div class=\"wp-block-columns free-cristmas-holiday productbox\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"cyan-bluish-gray\"} -->\n<p class=\"has-cyan-bluish-gray-color has-text-color\" style=\"font-size:14px\">SANTAS MINIONS</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"typography\":{\"fontSize\":\"25px\"}}} -->\n<h4 style=\"font-size:25px\">Gift Hamper Combo</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#f82938\"},\"typography\":{\"fontSize\":\"18px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#f82938;font-size:18px\">$39.00</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#121212\"},\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#121212;font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"free-christmas-holiday timer\"} -->\n<div class=\"wp-block-columns free-christmas-holiday timer\"><!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#f82938\"}},\"textColor\":\"white\",\"className\":\"free-christmas-holiday timer-col\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center free-christmas-holiday timer-col has-white-color has-text-color has-background\" style=\"background-color:#f82938\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"}},\"className\":\"free-christmas-holiday timer-no m-0\"} -->\n<p class=\"has-text-align-center free-christmas-holiday timer-no m-0\" style=\"font-size:30px\">28</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-align-center\" style=\"font-size:14px\">Days</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#f82938\"}},\"textColor\":\"white\",\"className\":\"free-christmas-holiday timer-col\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center free-christmas-holiday timer-col has-white-color has-text-color has-background\" style=\"background-color:#f82938\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"}},\"className\":\"free-christmas-holiday timer-no m-0\"} -->\n<p class=\"has-text-align-center free-christmas-holiday timer-no m-0\" style=\"font-size:30px\">06</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-align-center\" style=\"font-size:14px\">Hours</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#f82938\"}},\"textColor\":\"white\",\"className\":\"free-christmas-holiday timer-col\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center free-christmas-holiday timer-col has-white-color has-text-color has-background\" style=\"background-color:#f82938\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"}},\"className\":\"free-christmas-holiday timer-no m-0\"} -->\n<p class=\"has-text-align-center free-christmas-holiday timer-no m-0\" style=\"font-size:30px\">14</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-align-center\" style=\"font-size:14px\">Mins</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#f82938\"}},\"textColor\":\"white\",\"className\":\"free-christmas-holiday timer-col\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center free-christmas-holiday timer-col has-white-color has-text-color has-background\" style=\"background-color:#f82938\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"}},\"className\":\"free-christmas-holiday timer-no m-0\"} -->\n<p class=\"has-text-align-center free-christmas-holiday timer-no m-0\" style=\"font-size:30px\">06</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-align-center\" style=\"font-size:14px\">secs</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:image {\"align\":\"center\",\"id\":227,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image aligncenter size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/product.png\" alt=\"\" class=\"wp-image-227\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);
}